package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 操作业务
 * @Author: jiang chao
 * @Time: 2023/4/26 14:08
 * @Classname: EOperationBusiness
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EOperationBusiness {

    UNKNOWN(""),

    //////////////////// 首页 ////////////////////

    APPROVAL_WAIT("待办"),

    APPROVAL_COMPLETE("已办"),

    APPROVAL_DETAIL("签呈详情"),

    APPROVAL_RECEIVE("接收签呈"),

    SYS_INFO("个人信息"),

    CHANGE_COUNTRY("切换结算国"),

    //////////////////// 信息管理 ////////////////////

    MEMBER_INFORMATION("会员信息"),
    MEMBER_INFO_REAL("真实信息"),
    BASE_BUSINESS("基础业务"),
    ORDER_BUSINESS("订单业务"),
    UPDATE_POLICY_CURRENCY("修改政策币"),

    CONFIRM_BUSINESS("确认业务"),

    ONLINE_SIGN("在线签呈"),

    EMPTY_REGISTER("空单注册"),

    MODIFY_RECOMMEND("修改直推"),

    MODIFY_RESETTLE("修改安置"),

    MODIFY_ACHIEVEMENT("注水业绩"),

    MODIFY_CODE("修改编号"),

    AWARD_CONTROL("真实奖衔控制"),

    MODIFY_SETTLE_COUNTRY("修改结算国家"),
    NOT_ACTIVE_POINT("未激活点位"),

    EMPTY_ORDER("空单注册"),

    EMPTY_ORDER_CREATE("生成列表"),

    EMPTY_ORDER_REGISTER("注册列表"),

    CANCEL_ORDER_LIST("撤单列表"),

    OPERATION_LOG("操作记录"),

    CU_STORE("店铺信息"),

    //////////////////// 架构管理 ////////////////////

    SCHEME_ONE("方案一"),

    SCHEME_TWO("方案二"),

    SCHEME_THREE("方案三"),

    SCHEME_FOUR("方案四"),

    BONUS_SETTLE("奖金计算"),

    //////////////////// 结算中心 ////////////////////

    ACHIEVEMENT_TOTAL("业绩汇总"),

    BONUS_DIAL_RATIO("奖金拨比"),

    BONUS_DIAL_RATIO_CHART("拨比图表"),

    BONUS_DIAL_RATIO_LIST("拨比列表"),

    BONUS_SOURCE("奖金来源"),

    BONUS_TOTAL("奖金汇总"),

    RESETTLE_DATA("安置数据"),

    RESETTLE_DATA_CHART("安置图表"),

    RECOMMEND_DATA("推荐数据"),

    //////////////////// 商品管理 ////////////////////

    PRODUCT_RELEASE("产品发布"),

    PRODUCT_LIST("产品列表"),

    WARES_RELEASE("商品发布"),

    WARES_LIST("商品列表"),

    AREA_CLASSIFY("商品分类"),

    PRODUCT_CLASSIFY("产品分类"),

    SPECIFICATIONS_CONFIG("规格配置"),

    UNIT_CONFIG("单位配置"),

    POSTAGE_CONFIG("邮费配置"),
    //////////////////// 供应链管理 ////////////////////
    BATCH_CODE("批次号"),

    PO_ORDER("采购订单"),

    PO_PURCHASE("采购入库"),

    PO_PURCHASE_OUT("采购退货"),

    GENERAL_IN("其他入库单"),

    GENERAL_OUT("其他出库单"),

    SALE_OUT("销售出库单"),

    TRANSFER_ORDER("调拨订单"),

    TRANSFER_IN("调拨入库单"),

    TRANSFER_OUT("调拨出库单"),

    INVENTORY_ORDER("库存盘点单"),

    IO_ORDER("业务领用订单"),

    AVAILABLE_NUM("可用量"),

    ON_HAND_NUM("现存量"),

    SCM_WARN("预警设置"),

    STORE_SEND("店铺发货"),

    //////////////////// 物流管理 ////////////////////

    PRODUCT_ORDER("商品订单"),

    DELIVER_UNHANDLED("未合单"),

    DELIVER_HANDLED("已合单"),

    DELIVER_SECOND("二次发货"),

    IMMEDIATE_DELIVER("立即发货"),

    SELF_ORDER("自提清单"),

    //////////////////// 通知中心 ////////////////////

    NOTICE_LIST("公告列表"),

    PLATFORM_MESSAGE("站内信"),

    //////////////////// 公告管理 ////////////////////

    NOTICE_FRONT("前台公告"),

    NOTICE_AFTER("后台公告"),

    NOTICE_RELEASE("发布公告"),

    MESSAGE_MANAGE("站内信"),

    MEMBER_FEEDBACK("意见反馈"),

    MESSAGE_CONFIG("站内信配置"),

    //////////////////// 财务管理 ////////////////////

    RECHARGE("充值"),

    RECHARGE_MATCH("充值匹配"),

    FREEZE("冻结"),

    RECHARGE_DETAIL("充值明细"),

    RECHARGE_APPLICATION("充值申请"),

    WITHDRAWAL_DETAIL("提现明细"),

    CONSUMPTION_DETAIL("消费明细"),

    FREEZE_DETAIL("冻结明细"),

    TRANSFER_DETAIL("转账明细"),

    WALLET_DETAIL("钱包明细"),

    WALLET_DETAIL_DETAIL("钱包明细详情"),

    MEMBER_RECOIL_DETAIL("复消明细"),

    MEMBER_BALANCE_SUMMARY("余额汇总"),

    MEMBER_BALANCE_SUMMARY_DETAIL("余额汇总详情"),

    //////////////////// 配置管理 ////////////////////
    CUSTOMER_CONFIG("客商配置"),

    CURRENCY_CONFIG("币种配置"),

    CONSUME_CONFIG("消费配置"),

    TRANSFER_CONFIG("转账配置"),

    WITHDRAWAL_CONFIG("提现配置"),

    WITHDRAWAL_TAX("提现个税"),

    WITHDRAWAL_SERVICE_CHARGE("提现手续费"),

    SPECIAL_CURRENCY_DETAIL("特殊消费配置表"),
    SHOP("配送中心"),

    GRADE("等级配置"),

    AWARDS_CONFIG("奖衔配置"),

    REPURCHASE_RANGE("复购极差"),

    DISTRIBUTION_CENTER("配送中心"),
    STORE_LEVEL("店铺等级配置"),

    PAY_CONFIG("支付配置"),

    BONUS_ITEMS("奖项配置"),

    BONUS_DIRECT_LOOP("直推配置"),

    EXPAND_CONFIG("拓展配置"),

    COUNSELLING("辅导分红"),

    SERVICE_SUBSIDY("服务补贴"),

    BONUS_DEDUCTION("奖金扣项"),

    BONUS_CLOUD("云代配置"),

    ROUND_INTEGRAL("环球积分"),

    CAR_INTEGRAL("车奖积分"),
    MAKER_SPACE_BONUS("创客空间奖金配置"),

    AFFILIATION_TEAM("隶属团队"),

    VERTEX_CONFIG("体系配置"),

    AGREEMENT_CONFIG("协议配置"),

    LABEL_CONFIG("标签配置"),

    SIGN_CONFIG("签呈配置"),

    BANK_CONFIG("银行配置"),

    BUSINESS_SERVICE_CHARGE("业务办理手续费"),

    BARCODE_CONFIG("追溯配置"),

    BANNER_CONFIG("广告Banner"),

    REGISTER_CONFIG("注册页面配置"),

    TRADE_WHITE_CONFIG("交易白名单配置"),

    //////////////////// 营销管理 ////////////////////

    PRODUCT_GIVE("商品赠送"),

    CONSUME_GIVE("消费赠送"),

    RECHARGE_PICK("充值提货卡"),
    NEW_PACK("新人礼包"),

    DRAW_RECORD("中奖记录"),

    DRAW_DETAIL("抽奖明细"),

    AC_RECOMMEEND_CONFIG("直推赠送"),

    AC_WARES_RULE_CONFIG("商品赠送"),
    //////////////////// 系统配置 ////////////////////

    REGISTER_QUANTITY("注册次数"),

    TRANSPORT_TYPE("运输方式"),

    RESETTLE_CHECK("安置校验"),

    CANCEL_TIME("撤单时间"),

    UPGRADE_METHOD("升级方式"),

    RECOMMEND_METHOD("直推方式"),

    TRANSLATE_CONFIG("统一翻译"),

    COUNTRY_CONFIG("国家配置"),

    EXCHANGE_CONFIG("汇率配置"),

    AREA_CONFIG("行政区划"),

    INTERCONTINENTAL_CONFIG("洲际配置"),

    REGION_CONFIG("区域配置"),

    ADMIN_CONFIG("系统管理员"),

    MENU_AUTHORITY_FRONT("前台菜单权限"),

    MENU_AUTHORITY_AFTER("后台菜单权限"),

    ROLE_CONFIG("角色配置"),

    DEPT_CONFIG("部门配置"),

    MENU_CONFIG("菜单管理"),
    STOREHOUSE("仓库配置"),
    STOREHOUSE_AREA_MIDDLE("地区仓库"),
    CORP_CONFIG("公司"),

    //////////////////// 站点配置 ////////////////////

    INDEX_BACKGROUND("首页背景"),

    CORPORATE_MISSION("企业使命"),
    COMPANY_NEWS("公司新闻"),

    COMPANY_SHOW("公司风采"),

    VR_ZONE("VR专区"),

    HONOR("荣誉资质"),

    DEVELOP("发展历程"),

    GLOBAL_DISTRIBUTION("全球分布"),

    WEBSITE_BANNER("官网Banner"),

    PRODUCT_CONFIG("商品配置"),

    //////////////////// 公用 ////////////////////

    COMMON_FILE("文件操作"),

    ///////////////////统计分析/////////////////////////
    REAL_PERFORMANCE_ADDED_AWARDS("真实业绩新增奖衔"),
    UMBRELLA_BALANCE("伞下账户余额"),
    AWARD_ANALYSIS("真实奖衔分析"),
    ANALYSIS_DETAILS("真实奖衔分析详情"),
    REPURCHASE_PV_STAT("复购PV统计"),
    MALL_BV_STAT("商城BV统计"),
    UMBRELLA_DIRECT_PUSH("伞下直推"),
    PERSON_STAT("个人统计"),
    DIRECT_PUSH_STAT("直推统计"),
    ORDER_SCATTER("会员订单分布统计"),
    REVENUE_DETAI_LIST("收入明细"),
    POSIT_STAT("安置业绩统计"),
    ACHIEVE_SUMMARY("业绩汇总"),
    BDPURPOSE_CONFIG("领用用途配置"),
    ACTIVITY_DATA("活动数据查询"),
    RECOIL_GIVE("复消币赠送"),
    QUERY_PARENT_STORE("推荐店铺查询"),

    ;


    /**
     * 显示标签
     */
    private final String label;

}
